View Issue Details

IDProjectCategoryView StatusLast Update
0001901Far ManagerEditorpublic2011-10-12 11:38
Reporter2useven10Assigned To2useven10 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0001901: Текущая позиция не сохраняется при переключении между View/Edit по F6 на неоднобайтных кодировках
DescriptionРедактор считает позицию в символах, вьювер в байтах (теперь и в юникоде тоже).
Результат стартовая позиция 'едет'. Вьювер может неверно показывать символы,
лечится через AdjustFilePos, но от дребезга позиции не спасает.
Steps To ReproduceОткрыть utf-8 файл во вьювере (FarRus.hlf)
сместиь позицию за строку содержащую русский текст.
F6 F6
Additional Informationпоместил в раздел редактора, т.к. для вьювера единственный способ посчитать символы - прочесть весь файл от начала, что пожалуй не годится.
TagsNo tags attached.
Build2217

Activities

2useven10

2011-10-04 12:48

developer  

F6.diff (3,577 bytes)
F6.diff (3,577 bytes)

2useven10

2011-10-04 12:49

developer   bugnote:0007826

F6.diff - фикс

Denis

2011-10-04 14:49

reporter  

F6.for.Far2.bis.diff (5,646 bytes)
F6.for.Far2.bis.diff (5,646 bytes)

Denis

2011-10-04 14:49

reporter   bugnote:0007827

Добавил тот же фикс, но для Far2.bis

2useven10

2011-10-11 14:21

developer   bugnote:0007863

build 2217

Issue History

Date Modified Username Field Change
2011-10-03 23:33 2useven10 New Issue
2011-10-04 12:48 2useven10 File Added: F6.diff
2011-10-04 12:49 2useven10 Note Added: 0007826
2011-10-04 14:49 Denis File Added: F6.for.Far2.bis.diff
2011-10-04 14:49 Denis Note Added: 0007827
2011-10-11 14:21 2useven10 Note Added: 0007863
2011-10-11 14:21 2useven10 Assigned To => 2useven10
2011-10-11 14:21 2useven10 Status new => feedback
2011-10-12 11:37 2useven10 Status feedback => resolved
2011-10-12 11:38 2useven10 Build => 2217
2011-10-12 11:38 2useven10 Status resolved => closed
2011-10-12 11:38 2useven10 Resolution open => fixed
2011-10-12 11:38 2useven10 Fixed in Version => 3.0